Certificate - Create Or Update

Create a certificate.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Automation/automationAccounts/{automationAccountName}/certificates/{certificateName}?api-version=2024-10-23

URI Parameters

Name In Required Type Description
automationAccountName
path True

string

The name of the automation account.

certificateName
path True

string

The name of certificate.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
name True

string

Gets or sets the name of the certificate.

properties.base64Value True

string

Gets or sets the base64 encoded value of the certificate.

properties.description

string

Gets or sets the description of the certificate.

properties.isExportable

boolean

Gets or sets the is exportable flag of the certificate.

properties.thumbprint

string

Gets or sets the thumbprint of the certificate.

Responses

Name Type Description
200 OK

Certificate

Resource 'Certificate' update operation succeeded

201 Created

Certificate

Resource 'Certificate' create operation succeeded

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Create or update a certificate

Sample request

PUT https://management.azure.com/subscriptions/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/resourceGroups/rg/providers/Microsoft.Automation/automationAccounts/myAutomationAccount18/certificates/testCert?api-version=2024-10-23

{
  "name": "testCert",
  "properties": {
    "description": "Sample Cert",
    "base64Value": "base 64 value of cert",
    "isExportable": false,
    "thumbprint": "thumbprint of cert"
  }
}

Sample response

{
  "name": "testCert",
  "id": "/subscriptions/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/resourceGroups/rg/providers/Microsoft.Automation/automationAccounts/myAutomationAccount33/certificates/testCert",
  "properties": {
    "description": "sample certificate. Description updated",
    "creationTime": "2017-03-29T17:26:43.337+00:00",
    "expiryTime": "2018-03-29T17:25:45+00:00",
    "isExportable": false,
    "lastModifiedTime": "2017-03-29T17:28:55.01+00:00",
    "thumbprint": "thumbprint of cert"
  }
}
{
  "name": "testCert",
  "id": "/subscriptions/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/resourceGroups/rg/providers/Microsoft.Automation/automationAccounts/myAutomationAccount33/certificates/testCert",
  "properties": {
    "description": "Sample Cert",
    "creationTime": "2017-03-29T17:26:43.337+00:00",
    "expiryTime": "2018-03-29T17:25:45+00:00",
    "isExportable": false,
    "lastModifiedTime": "2017-03-29T17:26:43.337+00:00",
    "thumbprint": "thumbprint of cert"
  }
}

Definitions

Name Description
Certificate

Definition of the certificate.

CertificateCreateOrUpdateParameters

The parameters supplied to the create or update or replace certificate operation.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

systemData

Metadata pertaining to creation and last modification of the resource.

Certificate

Definition of the certificate.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.creationTime

string (date-time)

Gets the creation time.

properties.description

string

Gets or sets the description.

properties.expiryTime

string (date-time)

Gets the expiry time of the certificate.

properties.isExportable

boolean

Gets the is exportable flag of the certificate.

properties.lastModifiedTime

string (date-time)

Gets the last modified time.

properties.thumbprint

string

Gets the thumbprint of the certificate.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

CertificateCreateOrUpdateParameters

The parameters supplied to the create or update or replace certificate operation.

Name Type Description
name

string

Gets or sets the name of the certificate.

properties.base64Value

string

Gets or sets the base64 encoded value of the certificate.

properties.description

string

Gets or sets the description of the certificate.

properties.isExportable

boolean

Gets or sets the is exportable flag of the certificate.

properties.thumbprint

string

Gets or sets the thumbprint of the certificate.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.